Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::AssertStmt Struct Reference

If the 'condition' is false, then evaluate and return the message, which should be a call to an error function. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::AssertStmt:

## Static Public Member Functions
static Stmt | make (Expr condition, Expr message)

## Public Attributes
Expr | condition
Expr | message
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::AssertStmt

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::StmtNode< AssertStmt >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

If the 'condition' is false, then evaluate and return the message, which should be a call to an error function.

Definition at line 304 of file IR.h.

## Member Function Documentation

## ◆ make()

static Stmt Halide::Internal::AssertStmt::make | ( | Expr | condition,
|  | Expr | message
| ) |  |
| static

## Member Data Documentation

## ◆ condition

Expr Halide::Internal::AssertStmt::condition

Definition at line 306 of file IR.h.

## ◆ message

Expr Halide::Internal::AssertStmt::message

Definition at line 307 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::AssertStmt::_node_type = IRNodeType::AssertStmt
| static

Definition at line 311 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h